Security Advisory for KCodes NetUSB Vulnerabilities

Security Advisory
Updated 01-18-2022 05:56:57 AM 5257

Associated CVE ID: CVE-2021-45608

As vulnerabilities related to KCodes NetUSB were disclosed, TP-Link has developed and released firmware fixes for NetUSB-protocol vulnerabilities on the following product models:

Model

Version

Fixed in Firmware Version

Archer C7(US)

V5

Archer C7(US)_V5_211210

Archer C7(US)

V4

Archer C7(US)_V5_211231

Archer C1200(US)

V1

Archer C1200(US)_V1_220114

Archer C1200(US)

V2

ArcherC1200(US)_V2_220114

Archer C1200(US)

V3

Archer C1200(US)_V3_211219

Archer C5400X

V1

Archer C5400X_V1_211222

ArcherC2300(US)

V1

ArcherC2300(US)_V1_220114

Archer C4000

V2

Archer C4000_V2_220114

Archer C59(US)

V2

Archer C59(US)_V2_220117

Archer C59(US)

V3

Archer C59(US)_V3_220113

Archer C3150(US)

V2

Archer C3150(US)_V2_220117

Go to TP-Link’s download center https://www.tp-link/support/download.To download the latest firmware:TP-Link strongly recommends that you download and update to the latest firmware for these product models as soon as possible.

  1. Search for your product model, then go to its download page.
  2. Choose the right hardware version and click Firmware.
  3. Follow the page instructions, and select the correct firmware version to download and install the new firmware.

Disclaimer

The KCodes NetUSB-protocol vulnerabilities will persist if you do not take every recommended action. TP-Link cannot bear any responsibility for consequences that could have been avoided by following the recommendations in this statement.

Revision History

2022-01-11 Published advisory

2022-01-12 Updated CVE ID

2022-01-18 Updated Firmware List

TP-Link will update this advisory as necessary when more information becomes available.

Is this faq useful?

Your feedback helps improve this site.

SubscribeTP-Link takes your privacy seriously. For further details on TP-Link's privacy practices, see TP-Link's Privacy Policy.

Be The First To Get Exclusive Deals & News